<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>
</head>
<body>
   
        <div id="root">
            <!-- sử dụng mustaches với text -->
                <p>{{message}}</p>
            <!-- data binding bằng mustaches và v-html -->
                <p> using mustaches{{rawHTML}}</p> 
                <p>sử dụng derective v-html<span v-html="rawHTML"></span></p>

            <!-- sử dụng v-bind để thay đổi thuộc tính của tag html -->
            <div v-bind:id="content"></div>
            <p v-bind:visibility="isShowText"> Đây là phần nội dung bị ẩn</p>
            <!-- sử dụng v-on: -->
            <button v-on:click='change'  v-bind:disabled="isShowbutton" >click</button>
            <!-- sử dụng shorthand -->
            <button @:click="show">show</button>
           
        </div>
    <script>
     new Vue({
        el:'#root',
        data:{
            message:'Hello Viet Nam',
            rawHTML:' xin chao',
            content:'content',
            isShowText: '',
            isShowbutton: false
        },
        methods: {
            change: function(){
                alert('Say Hello')
            },
            show: function(){
               alert('hello viet nam')
            }
        },

    })    
    </script>
      
</body>
</html>